Get a project
import requests
url = "https://app.langwatch.ai/api/v1/projects/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.langwatch.ai/api/v1/projects/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request GET \
--url https://app.langwatch.ai/api/v1/projects/{id} \
--header 'Authorization: Bearer <token>'{
"id": "<string>",
"name": "<string>",
"slug": "<string>",
"language": "<string>",
"framework": "<string>",
"teamId": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"piiRedactionLevel": "STRICT"
}This response has no body data.This response has no body data.This response has no body data.Projects
Get project
Get a project by ID. Requires project:view permission.
GET
/
api
/
v1
/
projects
/
{id}
Get a project
import requests
url = "https://app.langwatch.ai/api/v1/projects/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.langwatch.ai/api/v1/projects/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request GET \
--url https://app.langwatch.ai/api/v1/projects/{id} \
--header 'Authorization: Bearer <token>'{
"id": "<string>",
"name": "<string>",
"slug": "<string>",
"language": "<string>",
"framework": "<string>",
"teamId": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"piiRedactionLevel": "STRICT"
}This response has no body data.This response has no body data.This response has no body data.Authorizations
Admin API key for organization-level operations (managing projects, API keys). Create one in Settings > API Keys or via POST /api/api-keys. Format: sk-lw-{id}_{secret}.
Path Parameters
Minimum string length:
1Response
Success
Minimum string length:
1Minimum string length:
1Available options:
STRICT, ESSENTIAL, DISABLED Last modified on October 13, 2026
Was this page helpful?